Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ActionCondition

All Known Implementing Classes:
  AbstractActionCondition, NumberActionCondition, StringActionCondition, VersionActionCondition

    public interface class ActionCondition

The ActionCondition interface defines the general contract for classes that represent specific types of conditions wrapping action definitions in an XML list of actions.

Method Summary
`boolean` | `evaluate()` Evaulates the current operation set on the ActionCondition given the current left and right operands.
`java.lang.String` | `getLeftOperand()` Returns the left operand.
`java.lang.String` | `getOperation()` Returns the current operation.
`java.lang.String` | `getRightOperand()` Returns the right operand.
`void` | `setLeftOperand(java.lang.String operand)` Sets the left operand for the current operation.
`void` | `setOperation(java.lang.String operation)` Sets the operation to perform on the left and right operands.
`void` | `setRightOperand(java.lang.String operand)` Sets the right operand for the current operation.

Method Detail

### setOperation

    void setOperation(java.lang.String operation)

  Description copied from interface: `ActionCondition`
  Sets the operation to perform on the left and right operands. Clients of ActionCondition define their own set of valid operations and their semantics.

  Parameters:
    `operation` - String specifying the operation.
  Throws:
    `java.lang.IllegalArgumentException` - If an invalid operation is specified.

### setLeftOperand

    void setLeftOperand(java.lang.String operand)

  Description copied from interface: `ActionCondition`
  Sets the left operand for the current operation.

  Parameters:
    `operand` - String specifying the left operand.

### setRightOperand

    void setRightOperand(java.lang.String operand)

  Description copied from interface: `ActionCondition`
  Sets the right operand for the current operation.

  Parameters:
    `operand` - String specifying the right operand.

### getOperation

    java.lang.String getOperation()

  Description copied from interface: `ActionCondition`
  Returns the current operation.

  Returns:
    String indicating the current operation.

### getLeftOperand

    java.lang.String getLeftOperand()

  Description copied from interface: `ActionCondition`
  Returns the left operand.

  Returns:
    String indicating the current left operand.

### getRightOperand

    java.lang.String getRightOperand()

  Description copied from interface: `ActionCondition`
  Returns the right operand.

  Returns:
    String indicating the current right operand.

### evaluate

    boolean evaluate()

  Description copied from interface: `ActionCondition`
  Evaulates the current operation set on the ActionCondition given the current left and right operands. The evaluate() method should always return the same value if the operation and the operands are not changed.

  Returns:
    true if the operation succeeds; false otherwise. Each valid operation in a specific ActionCondition subclass defines its own semantics for success and failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD